%global commit0 ec09c4f11282e4c4d39b8c98559117257421a9f8
%global date0   20150629

%global author  bobwya

%{!?_licensedir:%global license %%doc}

%if 0%{!?_qt4_optflags:1}
  %define _qt4_optflags      %{optflags}
%endif

%if 0%{!?_qt4_ldflags:1}
  %define _qt4_ldflags       %{?__global_ldflags}
%endif

%if 0%{!?_qt4_qmake_flag:1}
  %define _qt4_qmake_flags   \
    QMAKE_CFLAGS_DEBUG="${CFLAGS:-%{_qt4_optflags}}" \
    QMAKE_CFLAGS_RELEASE="${CFLAGS:-%{_qt4_optflags}}" \
    QMAKE_CXXFLAGS_DEBUG="${CXXFLAGS:-%{_qt4_optflags}}" \
    QMAKE_CXXFLAGS_RELEASE="${CXXFLAGS:-%{_qt4_optflags}}" \
    QMAKE_LFLAGS_DEBUG="${LDFLAGS:-%{_qt4_ldflags}}" \
    QMAKE_LFLAGS_RELEASE="${LDFLAGS:-%{_qt4_ldflags}}" \
    QMAKE_STRIP=
%endif

%if 0%{!?_qt4_qmake:1}
  %define _qt4_qmake %{_qt4_bindir}/qmake
%endif

%if 0%{!?qmake_qt4:1}
  %define qmake_qt4  %{_qt4_qmake} %{_qt4_qmake_flags}
%endif

Name:           i7z
Version:        0.27.2
Release:        21.%{date0}git%(c=%{commit0}; echo ${c:0:7} )%{?dist}
Summary:        CLI curses based monitoring tool for Intel Core i7 processors
Summary(fr):    Outil de surveillance en CLI pour processeurs Intel Core i7

License:        GPLv2
URL:            https://github.com/%{author}/%{name}
Source0:        %{url}/archive/%{commit0}.tar.gz#/%{name}-%{commit0}.tar.gz

ExclusiveArch:  %{ix86} x86_64

BuildRequires:  ncurses-devel
BuildRequires:  qt4-devel


%description
i7z is a CLI curses based monitoring tool for Intel Core i7,
i5 and i3 processors.

%description -l fr
i7z est un outil de surveillance en CLI basé sur ncurses pour
processeurs Intel Core i7, i5 et i3.


%package gui
Summary:        GUI tool for %{name} based on Qt

%description gui
%{summary}.


%prep
%setup -qn "%{name}-%{commit0}"
sed -i -r 's,(sbindir.*) /,\1 %{buildroot}/,' "perfmon-%{name}/Makefile"
# W: spurious-executable-perm
find . -not -type d | xargs chmod -x
# rhbz#1319432, ensure we do not end up with invalid values for debug output
sed -i /Print_Version_Information/d "GUI/%{name}_GUI.cpp"
sed -i /Print_Information_Processor/d "GUI/%{name}_GUI.cpp"


%build
export CFLAGS='%{optflags}'
%make_build
%make_build -C "perfmon-%{name}"
pushd "GUI"
# FIXME qmake-qt5 does not work
%qmake_qt4
%make_build


%install
#%%make_install docdir="%{_docdir}/%{name}"
%make_install docdir="%{_pkgdocdir}"
%make_install -C "perfmon-%{name}"
install -p -m0755 "GUI/%{name}_GUI" "%{buildroot}%{_sbindir}"
# explicitly copy readme cause Makefile populates doc folder itself
mkdir -p "%{buildroot}%{_pkgdocdir}"
cp -p *.txt "%{buildroot}%{_pkgdocdir}"


%files
#%%dir %{_pkgdocdir}
#%%{_pkgdocdir}/README.txt
#%%{_pkgdocdir}/put*.sh
%doc README.txt
%doc put*.sh
%license COPYING
%{_sbindir}/%{name}
%{_sbindir}/perfmon-%{name}
%{_mandir}/man1/%{name}.1*

%files gui
%doc GUI/README_GUI.txt
%license COPYING
%{_sbindir}/%{name}_GUI


%changelog
* Thu Jun 21 2018 Tomasz Tomasik <scx.mail@gmail.com> - 0.27.2-21.20150629gitec09c4f
- Fix docs for EL6
- Rebuilt for EL7

* Thu Jun 21 2018 Tomasz Tomasik <scx.mail@gmail.com> - 0.27.2-20.20150629gitec09c4f
- Fix qt macros for EL6
- Rebuilt for EL7

* Thu Jun 21 2018 Tomasz Tomasik <scx.mail@gmail.com> - 0.27.2-19.20150629gitec09c4f
- Fix license macro for EL6
- Rebuilt for EL7

* Thu Jun 21 2018 Tomasz Tomasik <scx.mail@gmail.com> - 0.27.2-18.20150629gitec09c4f
- Fix doc dir
- Rebuilt for EL7

* Fri Jun 17 2016 Raphael Groner <projects.rg@smart.ms> - 0.27.2-17.20150629gitec09c4f
- rebuilt

* Mon Apr 18 2016 Raphael Groner <projects.rg@smart.ms> - 0.27.2-16.20150629gitec09c4f
- bump release

* Mon Apr 18 2016 Raphael Groner <projects.rg@smart.ms> - 0.27.2-15.20131012git5023138
- switch to fork of bobwya, in the hope to prevent more FTBFS in future

* Fri Mar 25 2016 Raphael Groner <projects.rg@smart.ms> - 0.27.2-14.20131012git5023138
- enforce default compiler options

* Tue Mar 08 2016 Raphael Groner <projects.rg@smart.ms> - 0.27.2-13
- upstream moved to GitHub
- add perfmon binary
- add GUI tool as a subpackage
- add readme files
- add patch for unhandled options, rhbz#1243639
- remove obsolete BR: qconf
- modernize

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.27.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.27.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.27.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.27.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 06 2013 Matthieu Saulnier <fantom@fedorapeople.org> - 0.27.2-8
- Update %%description section in spec file
- Fix unversioned docdir path (fix RHBZ #992551,#993551)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.27.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.27.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 28 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 0.27.2-5
- Add more docfiles (fix RHBZ #864657)

* Fri Sep 21 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 0.27.2-4
- Add RPM_OPT_FLAGS and RPM_LD_FLAGS in %%build section (fix RHBZ #857693)

* Fri Sep 14 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 0.27.2-1
- Update to 0.27.2 (fix RHBZ #850585)

* Mon Sep 10 2012 Dan Horák <dan[at]danny.cz> - 0.27.1-2
- set ExclusiveArch

* Tue Jul 17 2012 Matthieu Saulnier <fantom@fedoraproject.org> - 0.27.1-1
- Initial Release
